import { Injectable } from '@angular/core';

export class AppConfig {
  organizations: {
    url: string;
  };
  resources: {
    url: string;
  };
  mediaLibrary: {
    url: string;
  };
  authentication: {
    url: string;
  };
  middlewareLegacyAuth: {
    url: string;
  };
}

export let APP_CONFIG: AppConfig;

@Injectable()
export class AppConfigService {

  constructor() { }

  public load() {
    return new Promise((resolve, reject) => {
      const conf = new AppConfig();
      APP_CONFIG = Object.assign(conf, window['adminGuiEnvConfig']);
      resolve();
    });
  }
}
